<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_07afa3e4c6840a90ca78db" . "3521dfbe2b" => base64_decode("c3RkQ2xhc3M" . "="), "_0f939e9a0c1b1" . "7527bce221f42e" . "e827e" => base64_decode("IEdST1VQIEJZIHVzZXJfa" . "WQpIHQ="), "_79a5c6862da55a81bb" . "ba54a4e91b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb2JqZWN0cyBERVNDLCB1bmlxdWVfb2JqZWN0cyBERVNDLCB1c2VyX2" . "lkIEFTQw=="), "_c5aeb46d4987229cd0033323a7f" . "86836" => base64_decode("b2JqZWN0cw=" . "="), "use" . "r_i" . "d" => base64_decode("dXNlcl9pZ" . "A=="), "aggregat" . "ion" => base64_decode("YWdnc" . "mVnYX" . "Rpb24" . "="), "_ead9f7746" . "c5d5e2801c" . "e5704837fb" . "63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3Jl" . "Z2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "_d9e8699" . "5f0bc621" . "9b3823d8" . "42232615" . "3" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZW" . "dhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_d9e86995f0bc6219b3823d84" . "22326153"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_79a5c6862" . "da55a81bbb" . "a54a4e91b2" . "e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["aggre" . "gatio" . "n"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["user" . "_id"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c5aeb46d4987229cd0" . "033323a7f86836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_ead9f7746c5" . "d5e2801ce570" . "4837fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0f939e9a0c1b17527" . "bce221f42ee827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_07afa3e4c684" . "0a90ca78db352" . "1dfbe2b"];
    }
}